Mail archive
alpine-devel

[alpine-devel] [PATCH 3/3] testing/quicktun: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Sat, 30 Aug 2014 17:09:34 +0000

http://wiki.ucis.nl/QuickTun
Simple and secure VPN software using NaCl encryption
---
 testing/quicktun/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/quicktun/APKBUILD
diff --git a/testing/quicktun/APKBUILD b/testing/quicktun/APKBUILD
new file mode 100644
index 0000000..202f191
--- /dev/null
+++ b/testing/quicktun/APKBUILD
_at_@ -0,0 +1,46 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=quicktun
+pkgver=2.2.4
+pkgrel=0
+pkgdesc="Simple and secure VPN software using NaCl encryption"
+url="http://wiki.ucis.nl/QuickTun"
+arch="all"
+license="custom"
+depends="libsodium"
+depends_dev="tar libsodium-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-keypair"
+source="http://oss.ucis.nl/${pkgname}/src/${pkgname}-${pkgver}.tgz"
+
+_builddir="$srcdir/${pkgname}-${pkgver}"
+prepare() {
+   local i
+   cd "$_builddir"
+   for i in $source; do
+       case $i in
+       *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+       esac
+   done
+}
+
+build() {
+   cd "$_builddir"
+   ./build.sh
+}
+
+package() {
+   cd "$_builddir"
+   install -D out/quicktun.combined "${pkgdir}/usr/bin/quicktun.combined"
+   ln -s quicktun.combined "${pkgdir}/usr/bin/quicktun"
+}
+keypair() {
+   pkgdesc="Tool to create a quicktun public/private keypair"
+   cd "$_builddir"
+   install -D out/quicktun.keypair "${subpkgdir}/usr/bin/quicktun.keypair"
+}
+
+md5sums="5e27c9b1ccae0c6d6e4b30ca476f910d  quicktun-2.2.4.tgz"
+sha256sums="652383d30f4a1ac2d42500e676f4c8590efaeea21a1e40a3ad1c332aa2ba3a0c  quicktun-2.2.4.tgz"
+sha512sums="da60fc39d8e85d5b2c162633840b887be3fd58d9f2b3a99fe605fa13546e4f53878ce6246d835b7931e42193fb044330c539b29751cdb6f54d025efc52041487  quicktun-2.2.4.tgz"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sat Aug 30 2014 - 17:09:34 GMT